<?php
/**
 * Template part for displaying posts
 *
 * @package Bakery Treats
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="card-item card-blog-post">
		<?php
		    // Check if there is a gallery embedded in the post content
		    $post_id = get_the_ID(); // Add this line to get the post ID
		    $bakery_treats__gallery_shortcode = get_post_gallery();

			if (!is_singular() && !empty($bakery_treats__gallery_shortcode)) {
				if (!empty($bakery_treats__gallery_shortcode)) {
					// Display the gallery
					echo '<div class="embedded-gallery">' . do_shortcode($bakery_treats__gallery_shortcode) . '</div>';
				}
			}
		?>
		
		<header class="entry-header">
			<?php
			if ( 'post' === get_post_type() ) :

				if (is_singular()) {
					
					do_action('bakery_treats_breadcrumbs');
				}
				
				if ( is_singular() ) :
					the_title( '<h1 class="entry-title">', '</h1>' );
				else :
					the_title( '<h3 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h3>' );
				endif;

				?>
					<div class="entry-meta">
						<?php
						bakery_treats_posted_on();
						bakery_treats_posted_by();
						?>
					</div><!-- .entry-meta -->

			<?php endif; ?>
		</header>
		<?php 
		$bakery_treats_blog_thumbnail = absint(get_theme_mod('bakery_treats_enable_blog_post_image', 1));
		if($bakery_treats_blog_thumbnail == 1 && is_singular()) { 
			if (has_post_thumbnail()) { ?>
				<div class="card-media">
					<?php bakery_treats_post_thumbnail(); ?>
				</div>
			<?php } 
		} ?>
		<div class="entry-content">
			<?php
				if ( is_singular() ) :
					the_content();
				else :
					echo "<p>".wp_trim_words(get_the_excerpt(),get_theme_mod('bakery_treats_excerpt_limit', 25))."</p>";
					?>
					<?php if ( get_theme_mod( 'bakery_treats_read_more_text', __('Continue Reading....', 'bakery-treats') ) ) : ?>
					<a href="<?php the_permalink(); ?>" class="btn read-btn text-uppercase">
						<?php echo esc_html( get_theme_mod( 'bakery_treats_read_more_text', __('Continue Reading....', 'bakery-treats') ) ); ?></a>
					<?php endif; ?>
				<?php endif; ?>


			<?php
			wp_link_pages(
				array(
					'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'bakery-treats' ),
					'after'  => '</div>',
				)
			);
			?>
		</div>
	</div>
</article><!-- #post-<?php the_ID(); ?> -->